﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    public class MachineConfiguration
    {
        public MachineConfiguration()
        {
            Exists = false;
            ReadOnly = true;
            ConfigureSetting = string.Empty;


        }

        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public Int32 Id { set; get; }

        [StringLength(50)]
        public string ChargeBoxId { get; set; }

        /// <summary>
        /// 電樁是否存在此設定值
        /// </summary>
        public bool Exists { set; get; }

        /// <summary>
        /// 存取限制 
        /// </summary>
        public bool ReadOnly { set; get; }

        [StringLength(50)]
        public string ConfigureName { set; get; }

        [StringLength(500)]
        public string ConfigureSetting { set; get; }
    }
}
