﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum Phase
    {
        /// <summary>Measured on L1</summary>
        L1=1,
        /// <summary>Measured on L2</summary>
        L2,
        /// <summary>Measured on L3</summary>
        L3,
        /// <summary>Measured on Neutral</summary>
        N,
        /// <summary>
        /// Measured on L1 with respect to Neutral conductor
        /// </summary>
        [EnumMember(Value = "L1-N")]
        L1_N,
        /// <summary>
        /// Measured on L2 with respect to Neutral conductor
        /// </summary>
        [EnumMember(Value = "L2-N")]
        L2_N,
        /// <summary>
        /// Measured on L3 with respect to Neutral conductor
        /// </summary>
        [EnumMember(Value = "L3-N")]
        L3_N,
        /// <summary>
        /// Measured between L1 and L2
        /// </summary>
        [EnumMember(Value = "L1-L2")]
        L1_L2,
        /// <summary>
        /// Measured between L2 and L3
        /// </summary>
        [EnumMember(Value = "L2-L3")]
        L2_L3,
        /// <summary>
        /// Measured between L3 and L1
        /// </summary>
        [EnumMember(Value = "L3-L1")]
        L3_L1,
    }
}
