﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using EVCB_OCPP.Packet20.Utilites;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
   public  class ChargingNeedsType
    {
        /// <summary>
        /// Mode of energy transfer requested by the EV.
        /// </summary>
        [Required]
        public EnergyTransferModeEnumType RequestedEnergyTransfer { set; get; }

        /// <summary>
        /// Estimated departure time of the EV.
        /// </summary>
        [JsonConverter(typeof(UTCDateTimeConverter))]
        public DateTime? DepartureTime { set; get; }

        /// <summary>
        /// EV AC charging parameters.
        /// </summary>
        public ACChargingParametersType AcChargingParameters { set; get; }

        /// <summary>
        /// EV DC charging parameters.
        /// </summary>
        public DCChargingParametersType DcChargingParameters { set; get; }


    }
}
