﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ChargingStationType
    {
        /// <summary>
        ///Vendor-specific device identifier.
        /// </summary>
        [StringLength(25, MinimumLength = 0)]
        public string SerialNumber { set; get; }

        /// <summary>
        ///Defines the model of the device.
        /// </summary>
        [StringLength(20, MinimumLength = 0)]
        [Required]
        public string Model { set; get; }

        /// <summary>
        ///Identifies the vendor (not necessarily in a
        /// unique manner).
        /// </summary>
        [StringLength(50, MinimumLength = 0)]
        [Required]
        public string VendorName { set; get; }

        /// <summary>
        ///Vendor-specific device identifier.
        /// </summary>
        [StringLength(50, MinimumLength = 0)]
        public string FirmwareVersion { set; get; }

        /// <summary>
        ///Defines the functional parameters of a
        /// communication link.
        /// </summary>
        [StringLength(25, MinimumLength = 0)]
        public ModemType Modem { set; get; }


    }
}
