﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ClearChargingProfileType
    {
        /// <summary>
        /// Specifies the id of the EVSE for which to clear
        /// charging profiles.An evseId of zero (0) specifies the
        ////charging profile for the overall Charging Station.Absence
        ///of this parameter means the clearing applies to all
        ///charging profiles that match the other criteria in the
        ///request.
        /// </summary>
        public int? EvseId { set; get; }

        /// <summary>
        /// Specifies to purpose of the charging profiles
        ///that will be cleared, if they meet the other criteria in the
        ///request.
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public ChargingProfilePurposeEnumType? ChargingProfilePurpose { set; get; }

        /// <summary>
        /// Specifies the stackLevel for which charging
        ///profiles will be cleared, if they meet the other criteria in
        ///the request.
        /// </summary>
        public int? StackLevel { set; get; }

    }
}
