﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum BootReasonEnumType
    {
        /// <summary>
        /// The Charging Station rebooted due to an application error.
        /// </summary>
        ApplicationReset = 1,
        /// <summary>
        ///  The Charging Station rebooted due to a firmware update.
        /// </summary>
        FirmwareUpdate,
        /// <summary>
        /// The Charging Station rebooted due to a local reset command.
        /// </summary>
        LocalReset,
        /// <summary>
        ///  The Charging Station powered up and registers itself with the CSMS.
        /// </summary>
        PowerUp,
        /// <summary>
        /// The Charging Station rebooted due to a remote reset command.
        /// </summary>
        RemoteReset,
        /// <summary>
        /// The Charging Station rebooted due to a scheduled reset command.
        /// </summary>
        ScheduledReset,
        /// <summary>
        ///  Requested by the CSMS via a TriggerMessage
        /// </summary>
        Triggered,
        /// <summary>
        ///  The boot reason is unknown.
        /// </summary>
        Unknown,
        /// <summary>
        /// The Charging Station rebooted due to an elapsed watchdog timer
        /// </summary>
        Watchdog
    }
}
