﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ChargingLimitSourceEnumType
    {
        /// <summary>
        ///  Indicates that an Energy Management System has sent a charging limit.
        /// </summary>
        EMS = 1,
        /// <summary>
        /// Indicates that an external source, not being an EMS or system operator, has sent a charging limit.
        /// </summary>
        Other,
        /// <summary>
        ///  Indicates that a System Operator (DSO or TSO) has sent a charging limit.
        /// </summary>
        SO,
        /// <summary>
        ///  Indicates that the CSO has set this charging profile.
        /// </summary>
        CSO
    }
}
