﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class UnitOfMeasureType
    {
        /// <summary>
        /// Unit of the value. Default = "Wh" if the (default)
        /// measurand is an "Energy" type.This field SHALL use a
        /// value from the list Standardized Units of Measurements
        ///in Part 2 Appendices.If an applicable unit is available in
        ///that list, otherwise a "custom" unit might be used.
        /// </summary>
        [StringLength(20, MinimumLength = 0)]
        public string Unit { set; get; }

        /// <summary>
        /// Multiplier, this value represents the exponent to
        ///base 10. I.e.multiplier 3 means 10 raised to the 3rd
        ///power.Default is 0.
        /// </summary>
        public int? Multiplier { set; get; }
    }
}
