﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class CostUpdatedRequest
    {
        /// <summary>
        /// Current total cost, based on the information
        /// known by the CSMS, of the transaction including taxes.In
        ///the currency configured with the configuration Variable:
        ///[Currency]
        /// </summary>
        [Required]
        public decimal TotalCost { set; get; }

        /// <summary>
        /// Transaction Id of the transaction the current
        /// cost are asked for.
        /// </summary>
        [StringLength(36, MinimumLength = 0)]
        [Required]
        public string TransactionId { set; get; }
    }
}
