﻿using EVCB_OCPP.Packet20.DataTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class NotifyEVChargingNeedsRequest
    {
        /// <summary>
        /// Contains the maximum schedule tuples the car
        ///supports per SASchedule(both Pmax and Tariff)
        /// </summary>
        public int? MaxScheduleTuples { set; get; }

        /// <summary>
        /// Defines the EVSE and connector to which the
        /// EV is connected.EvseId may not be 0.
        /// </summary>
       [Required]
        public int EvseId { set; get; }

        /// <summary>
        /// The characteristics of the energy delivery
        ///required.
        /// </summary>
        [Required]
        public ChargingNeedsType ChargingNeeds { set; get; }
    }
}
