﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class PublishFirmwareStatusNotificationRequest
    {
        /// <summary>
        ///This contains the progress status of the
        ///publishfirmware installation
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public PublishFirmwareStatusEnumType Status { set; get; }

        /// <summary>
        /// Required if status is Published. Can be multiple
        ///URI’s, if the Local Controller supports e.g.HTTP, HTTPS,
        ///and FTP.
        /// </summary>
        public List<string> Location { set; get; }

        /// <summary>
        /// The request id that was provided in the
        ///  PublishFirmwareRequest which triggered this action.
        /// </summary>
        public int? RequestId { set; get; }
    }
}
